// CnfFrmHandler.cpp

#include <PalmOS.h>
#include "68kRes.h"

#define CRID	'To-f'

#define ConfigFormEntry __Startup__

extern "C" Boolean ConfigFormEntry(EventType *eventP);

static Boolean ConfigFormHandler(EventType *eventP)
{
	Boolean result = false;

	switch(eventP->eType)
	{	case ctlSelectEvent:
			switch(eventP->data.ctlSelect.controlID)
			{	case DoneBtn:
					FormPtr frmP = FrmGetActiveForm();

					UInt16 objIndex = FrmGetControlGroupSelection(frmP, 1);
					UInt32 which = FrmGetObjectId(frmP, objIndex) - ellipsPb;

					FtrSet(CRID, 0, which);

					FrmGotoForm(9000); // return to YAHM

					result = true;
					break;
			}
	}

	return result;
}

Boolean ConfigFormEntry(EventType *eventP)
{
	if(eventP->eType == frmOpenEvent)
	{
		UInt32 which = 0;
		FtrGet(CRID, 0, &which);

		FormPtr frmP = FrmGetActiveForm();

		FrmSetControlGroupSelection(frmP, 1, ellipsPb + which);

		FrmDrawForm(frmP);
		FrmSetEventHandler(frmP, &ConfigFormHandler);

		return true;
	}

	return false;
}
