// MenuOS5.h

#ifndef __MENUOS5_H__
#define __MENUOS5_H__

#include <PalmTypes.h>
#include <Window.h>

typedef struct MenuItemTagOS5
#ifdef ALLOW_ACCESS_TO_INTERNALS_OF_MENUS_OS5
{
	UInt16				id;
	Char				command;
	UInt8				hidden;	//
	Char				*itemStr;
}
#endif
MenuItemTypeOS5;

typedef struct MenuPullDownTagOS5
#ifdef ALLOW_ACCESS_TO_INTERNALS_OF_MENUS_OS5
{
	WinHandle			menuWin;
	RectangleType		bounds;
	WinHandle			bitsBehind;
	RectangleType		titleBounds;
	Char				*title;
	UInt16				hidden;		//
	UInt16				numItems;	//
	MenuItemTypeOS5		*items;
}
#endif
MenuPullDownTypeOS5;

typedef MenuPullDownTypeOS5 *MenuPullDownPtrOS5;

typedef struct MenuBarAttrTagOS5
#ifdef ALLOW_ACCESS_TO_INTERNALS_OF_MENUS_OS5
{
	UInt16				visible					:1;
	UInt16				commandPending			:1;
	UInt16				insPtEnabled			:1;
	UInt16				needsRecalc 			:1;
	UInt16				attnIndicatorIsAllowed	:1;
	UInt16				reserved				:11;
}
#endif
MenuBarAttrTypeOS5;

typedef struct MenuBarOS5Tag
#ifdef ALLOW_ACCESS_TO_INTERNALS_OF_MENUS_OS5
{
	WinHandle			barWin;
	WinHandle			bitsBehind;
	WinHandle			savedActiveWin;
	WinHandle			bitsBehindStatus;
	MenuBarAttrTypeOS5	attr;
	Int16				curMenu;
	Int16				curItem;
	Int16				numMenus;		//
	Int32				commandTick;	//
	MenuPullDownPtrOS5	menus;
}
#endif
MenuBarTypeOS5;

typedef MenuBarTypeOS5 *MenuBarPtrOS5;

#endif